%{
#include <math.h>
#include "defs.h"
#include "y.tab.h"

extern int	lineno;

%}

%%

dx	return(DX);

dy	return(DY);

dz	return(DZ);

x	return(X);

y	return(Y);

z	return(Z);

[-0-9.]*	{
		yylval.y_flt = atof(yytext);
		return(FLOAT);
	}

abs	return(ABS);

":-"	return(EQUATES);

"["	return(yytext[0]);

"]"	return(yytext[0]);

","	return(yytext[0]);

"&"	return(yytext[0]);

"("	return(yytext[0]);

")"	return(yytext[0]);

[-+/*]	return(yytext[0]);

[ \t]	;

"\n"	lineno++;
