#include <stdio.h>

extern char	*malloc();

/*
 * smalloc
 *
 *	allocates memory - checking for null
 */
char *
smalloc(size)
	unsigned 	size;
{
	char	*p, *p2, buf[BUFSIZ];

	if ((p = malloc(size)) == (char *)NULL) {
		fprintf(stderr, "smalloc: request for %d bytes from malloc returns NULL.\n", size);
		exit(1);
	}

	/*
	for (p2 = p; p2 != p + size; p2++)
		*p2 = 0xff;
	*/

	return(p);
}

/*
 * scalloc
 *
 *	allocates memory - checking for null - this was needed for the PC.
 */
char *
scalloc(size, n)
	unsigned 	size;
	unsigned	n;
{
	char	*p, *p2, buf[BUFSIZ];

	if ((p = malloc((unsigned) size * n)) == (char *)NULL) {
		fprintf(stderr, "scalloc: request for %ld bytes from malloc returns NULL.\n", (long)size * (long)n);
		exit(1);
	}

	/*
	for (p2 = p; p2 != p + size * n; p2++)
		*p2 = 0xff;
	*/

	return(p);
}

